Subject: [jose] Point of curiosity on A256CBC-HS512

From: Brian Campbell <[email-masked]>
Date: Mon, 29 Jul 2013 14:03:31 +0200

Is there a specific reason that AES_256_CBC_HMAC_SHA_512 / A256CBC-HS512
[1] uses SHA-512 and truncates to 32 octets rather than just using the 32
octets of SHA-256 outright? I was working on implementing it yesterday and
it just struck me as kind of odd - so wanted to ask if there was more to it
than my surface level observation.

[1]
http://tools.ietf.org/html/draft-ietf-jose-json-web-algorithms-13#section-4.10.4